Ticket #31493

Vote
Score: 0
No votes
0.0% (0/0)
0.0% (0/0)

OpenSSH 6.2の複数認証要求対応

Open Date: 2013-06-03 15:33 Last Update: 2017-12-03 10:36

Reporter: doda Owner: (None)
Type: Feature Requests Status: Open
Component: TTSSH MileStone: (None)
Priority: 7 Severity: 7
Resolution: None

Details

OpenSSH 6.2でサポートされた、複数認証要求への対応。

たとえば、sshd_config に

AuthenticationMethods publickey,keyboard-interactive
と記述すると、公開鍵認証→キーボードインタラクティブ認証の順で要求されて両方の認証をパスする必要があるが、現状の ttssh では対応できていない。

ssh -v のログ(認証部分)。

debug1: SSH2_MSG_SERVICE_REQUEST sent
debug1: SSH2_MSG_SERVICE_ACCEPT received
debug1: Authentications that can continue: publickey
debug1: Next authentication method: publickey
debug1: Offering RSA public key: /home/sue/.ssh/id_rsa
debug1: Server accepts key: pkalg ssh-rsa blen 277
Authenticated with partial success.
debug1: Authentications that can continue: keyboard-interactive
debug1: Next authentication method: keyboard-interactive
Password:
debug1: Authentication succeeded (keyboard-interactive).
対応する場合、

  • 現在どの認証が要求されているかの表示方法
  • コマンドライン、マクロでの対応

なども考慮する必要あり。

Attachment File List

No attachments

Ticket History (3/4 Histories)

2013-06-03 15:33 Updated by: doda
  • New Ticket "OpenSSH 6.2の複数認証要求対応" created
2017-10-11 09:02 Updated by: None
Comment

私が利用している環境でも複数認証要求を利用しております、 ぜひご検討いただけますと幸いです

2017-10-11 09:26 Updated by: doda
  • Severity Update from 5 - Medium to 7
  • Priority Update from 5 - Medium to 7
2017-12-03 10:36 Updated by: None
Comment

二段階認証の需要を受けて検証中です。 当方も、本件に行き当たりました。 Teratermが非対応のため、当座、Puttyを勧めています。

Edit

You are not logged in. I you are not logged in, your comment will be treated as an anonymous post. » Login